Bug 754004 - Review Request: lv2-abGate - an LV2 Noise Gate plugin
Summary: Review Request: lv2-abGate - an LV2 Noise Gate plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-15 05:01 UTC by Brendan Jones
Modified: 2012-02-02 17:28 UTC (History)
3 users (show)

Fixed In Version: lv2-abGate-1.1.3-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-02 17:24:41 UTC
Type: ---
lemenkov: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Brendan Jones 2011-11-15 05:01:51 UTC
A simple LV2 noise gate plugin for use in hosts that support LV2

SPEC: http://bsjones.fedorapeople.org/lv2-abGate.spec
SRPM: http://bsjones.fedorapeople.org/lv2-abGate-1.1.3-1.fc16.src.rpm

RPMLINT:
rpmlint /home/bsjones/rpmbuild/SRPMS/lv2-abGate-1.1.3-1.fc16.src.rpm /home/bsjones/rpmbuild/RPMS/x86_64/lv2-abGate*.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Peter Lemenkov 2012-01-06 14:14:48 UTC
I'll review this one.

Comment 2 Peter Lemenkov 2012-01-06 14:29:44 UTC
Failed to build in Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3624813

Comment 3 Brendan Jones 2012-01-06 14:56:28 UTC
lv2core has been updated prior to raising this bug. I thought this would come up. 

Removed lv2config

SPEC: http://bsjones.fedorapeople.org/lv2-abGate.spec
SRPM: http://bsjones.fedorapeople.org/lv2-abGate-1.1.3-2.fc16.src.rpm

Comment 4 Peter Lemenkov 2012-01-06 15:30:39 UTC
Successful Koji scratchbuild for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3624978

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent

work ~/temp: rpmlint *
lv2-abGate.src: I: enchant-dictionary-not-found en_US
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
work ~/temp:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv3 or later).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum abGate-1.1.3.tar.gz*
f1f65e4e05038c7cbff05463ebb423213ce99603db58f7802a10f4d8e735abf5  abGate-1.1.3.tar.gz
f1f65e4e05038c7cbff05463ebb423213ce99603db58f7802a10f4d8e735abf5  abGate-1.1.3.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package DOESN'T have a %clean section, so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.

APPROVED.

Comment 5 Brendan Jones 2012-01-08 22:13:51 UTC
New Package SCM Request
=======================
Package Name: lv2-abGate
Short Description: LV2 noisegate plugin
Owners: bsjones
Branches: f15 f16
InitialCC:

Comment 6 Gwyn Ciesla 2012-01-08 22:20:03 UTC
Git done (by process-git-requests).

Comment 7 Brendan Jones 2012-01-11 11:52:48 UTC
Peter, the (pending) update will close these bug.

Comment 8 Fedora Update System 2012-01-12 07:05:35 UTC
lv2-abGate-1.1.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lv2-abGate-1.1.3-2.fc15

Comment 9 Fedora Update System 2012-01-12 07:05:44 UTC
lv2-abGate-1.1.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lv2-abGate-1.1.3-2.fc16

Comment 10 Fedora Update System 2012-01-15 19:59:51 UTC
Package lv2-abGate-1.1.3-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lv2-abGate-1.1.3-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0505/lv2-abGate-1.1.3-2.fc16
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2012-02-02 17:24:41 UTC
lv2-abGate-1.1.3-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-02-02 17:28:00 UTC
lv2-abGate-1.1.3-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.